### Hierarchy

- DataRequestRepository

### Implemented by

- DataRequestRepositoryImpl

## Index

### Methods

- getRequests
- getRequestsGraph
- grantAccessForClient
- grantAccessForOffer
- requestPermissions
- revokeAccessForClient

## Methods

### getRequests

- getRequests(fromPk: string | null, toPk: string | null): Promise<Array<DataRequest>>

- - Defined in repository/requests/DataRequestRepository.ts:15

  #### Parameters

  - ##### fromPk: string | null

  - ##### toPk: string | null

  #### Returns Promise<Array<DataRequest>>

### getRequestsGraph

- getRequestsGraph(data: InputGraphData): Promise<OutputGraphData>

- - Defined in repository/requests/DataRequestRepository.ts:7

  #### Parameters

  - ##### data: InputGraphData

  #### Returns Promise<OutputGraphData>

### grantAccessForClient

- grantAccessForClient(dataRequests: Array<DataRequest>): Promise<void>

- - Defined in repository/requests/DataRequestRepository.ts:11

  #### Parameters

  - ##### dataRequests: Array<DataRequest>

  #### Returns Promise<void>

### grantAccessForOffer

- grantAccessForOffer(offerId: number, clientPk: string, encryptedClientResponse: string, priceId: number): Promise<void>

- - Defined in repository/requests/DataRequestRepository.ts:17

  #### Parameters

  - ##### offerId: number

  - ##### clientPk: string

  - ##### encryptedClientResponse: string

  - ##### priceId: number

  #### Returns Promise<void>

### requestPermissions

- requestPermissions(toPk: string, dataRequests: Array<DataRequest>): Promise<void>

- - Defined in repository/requests/DataRequestRepository.ts:9

  #### Parameters

  - ##### toPk: string

  - ##### dataRequests: Array<DataRequest>

  #### Returns Promise<void>

### revokeAccessForClient

- revokeAccessForClient(dataRequests: Array<DataRequest>): Promise<void>

- - Defined in repository/requests/DataRequestRepository.ts:13

  #### Parameters

  - ##### dataRequests: Array<DataRequest>

  #### Returns Promise<void>

Generated using TypeDoc